<template>
    <div>
        fdsadasfads
    </div>
</template>

<script>
    import {AuthService, TokenService} from "../services";
    import http from "../http";

    export default {
        name: "Callback",
        async mounted() {
            let res = await AuthService.getToken(this.$route.query.code, this.$route.query.state)
            let accessToken = res.data.access_token

            TokenService.setToken(accessToken);
            http.setHeader()

            this.$router.push('/')
        }
    }
</script>

<style scoped>

</style>
